/**Begin D:\tool\PDM\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\ER_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ER_INVOICEDATAPRE_L') 
 CREATE TABLE T_ER_INVOICEDATAPRE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ER_INVOICEDATAPRE') 
 CREATE TABLE T_ER_INVOICEDATAPRE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINVOICEJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINVOICEJSON_TAG NCLOB DEFAULT ' '
);



/**End D:\tool\PDM\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\ER_table.sql **/
